alias update='sudo pacman -Syu && flatpak update && config submodule update --remote --recursive --init'
alias pac='sudo pacman'      \
      vi='$EDITOR'           \
      qcp='qcp -o tabsize=4' \
      qmv='qmv -o tabsize=4'

alias config='git --git-dir="$HOME/.dotfiles/" --work-tree="$HOME"' \
      viconf='(cd "$XDG_CONFIG_HOME/nvim" && $EDITOR .)'            \
      wconf='(cd "$XDG_CONFIG_HOME/sway" && $EDITOR .)'             \
      zconf='(cd "$ZDOTDIR/" && $EDITOR .) && . "$ZDOTDIR/.zshrc"'

alias valgrind='epitest valgrind' \
      ssh='TERM=linux ssh'

function coloralias() {
    $1 $(echo - "${@:2}" | sed 's/--color=\w\+/--color=always/')
}

alias _='sudo '                       \
      sudo='sudo '                    \
      watch='coloralias watch -c -- ' \
      xargs='xargs '

function j() {
    local dests=("${(@f)$(find . -mount -name "$1*" -type d 2> /dev/null)}")
    local dest="${dests:-$1}"

    [ -n "${dests[2]}" ] && dest="$(printf '%s\n' "${dests[@]}" | fzf)"
    cd "$dest"
}

function tmp() {
    cd "$(mktemp -dt "$1"XXX)"
}

alias -g ...='../..'         \
         ....='../../..'     \
         .....='../../../..' \
         ......='../../../../..'

alias cp="cp -vi" \
      mv="mv -vi" \
      rm="rm -v" \
      mkdir="mkdir -v" \
      rsync="rsync -P"

alias ls='ls --color=tty' \
      l='ls -lah'         \
      ll='ls -lh'         \
      la='ls -lAh'

alias diff='diff --color'

alias grep="grep --color=auto --exclude-dir={.bzr,CVS,.git,.hg,.svn,.idea,.tox}"     \
      egrep="grep -E --color=auto --exclude-dir={.bzr,CVS,.git,.hg,.svn,.idea,.tox}" \
      fgrep="grep -F --color=auto --exclude-dir={.bzr,CVS,.git,.hg,.svn,.idea,.tox}"

# vim: ft=zsh
